io.vertx.reactivex.ext.unit.report

## Class TestSuiteReport

- java.lang.Object
- - io.vertx.reactivex.ext.unit.report.TestSuiteReport

- All Implemented Interfaces:
    ReadStream<TestCaseReport>, StreamBase

      public class TestSuiteReport
      extends Object
      implements ReadStream<TestCaseReport>

  The test suite reports is basically a stream of events reporting the test suite execution.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<TestSuiteReport>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestSuiteReport(Object delegate)`
    `TestSuiteReport(TestSuiteReport delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TestSuiteReport` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `boolean` | `equals(Object o)`
    `TestSuiteReport` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler, the exception handler reports the test suite errors, it can be called mulitple times before the test ends.
    `ReadStream<TestCaseReport>` | `fetch(long amount)` Fetch the specified `amount` of elements.
    `TestSuiteReport` | `getDelegate()`
    `TestSuiteReport` | `handler(Handler<TestCaseReport> handler)` Set a data handler.
    `int` | `hashCode()`
    `String` | `name()`
    `static TestSuiteReport` | `newInstance(TestSuiteReport arg)`
    `TestSuiteReport` | `pause()` Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `Pipe<TestCaseReport>` | `pipe()` Pause this stream and return a to transfer the elements of this stream to a destination .
    `void` | `pipeTo(WriteStream<TestCaseReport> dst)` Pipe this `ReadStream` to the `WriteStream`.
    `void` | `pipeTo(WriteStream<TestCaseReport> dst, Handler<AsyncResult<Void>> handler)` Pipe this `ReadStream` to the `WriteStream`.
    `TestSuiteReport` | `resume()` Resume reading, and sets the buffer in `flowing` mode.
    `Completable` | `rxPipeTo(WriteStream<TestCaseReport> dst)` Pipe this `ReadStream` to the `WriteStream`.
    `Flowable<TestCaseReport>` | `toFlowable()`
    `Observable<TestCaseReport>` | `toObservable()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.reactivex.core.streams.ReadStream

      `newInstance, newInstance`

    - ### Methods inherited from interface io.vertx.reactivex.core.streams.StreamBase

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TestSuiteReport> __TYPE_ARG

  - ### Constructor Detail

    - #### TestSuiteReport

          public TestSuiteReport(TestSuiteReport delegate)

    - #### TestSuiteReport

          public TestSuiteReport(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public TestSuiteReport getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<TestCaseReport>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<TestCaseReport> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<TestCaseReport>`

    - #### toFlowable

          public Flowable<TestCaseReport> toFlowable()

      Specified by:
        `toFlowable` in interface `ReadStream<TestCaseReport>`

    - #### fetch

          public ReadStream<TestCaseReport> fetch(long amount)

      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<TestCaseReport>`
      Parameters:
        `amount` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### pipe

          public Pipe<TestCaseReport> pipe()

      Pause this stream and return a to transfer the elements of this stream to a destination .

      The stream will be resumed when the pipe will be wired to a `WriteStream`.
      Specified by:
        `pipe` in interface `ReadStream<TestCaseReport>`
      Returns:
        a pipe

    - #### pipeTo

          public void pipeTo(WriteStream<TestCaseReport> dst,
                             Handler<AsyncResult<Void>> handler)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<TestCaseReport>`
      Parameters:
        `dst` - the destination write stream
        `handler` -

    - #### pipeTo

          public void pipeTo(WriteStream<TestCaseReport> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<TestCaseReport>`
      Parameters:
        `dst` - the destination write stream

    - #### rxPipeTo

          public Completable rxPipeTo(WriteStream<TestCaseReport> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `rxPipeTo` in interface `ReadStream<TestCaseReport>`
      Parameters:
        `dst` - the destination write stream
      Returns:

    - #### name

          public String name()

      Returns:
        the test suite name

    - #### exceptionHandler

          public TestSuiteReport exceptionHandler(Handler<Throwable> handler)

      Set an exception handler, the exception handler reports the test suite errors, it can be called mulitple times before the test ends.
      Specified by:
        `exceptionHandler` in interface `ReadStream<TestCaseReport>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public TestSuiteReport handler(Handler<TestCaseReport> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<TestCaseReport>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public TestSuiteReport pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<TestCaseReport>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public TestSuiteReport resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<TestCaseReport>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public TestSuiteReport endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<TestCaseReport>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static TestSuiteReport newInstance(TestSuiteReport arg)

Copyright © 2022 Eclipse. All rights reserved.